import { Config } from '../../config';
export declare class Avatar {
    private config;
    name: string;
    rounded: boolean;
    randomBackground: boolean;
    size: number;
    length: number;
    img: string;
    constructor(config: Config);
    bind(): Promise<void>;
}
